Subject: [mobile-ip] What about a mobile Home Agent?

From: [email-masked]
Date: Thu, 17 Apr 2003 17:19:36 +0800

To All;
First I have to say I am a newbie, after read the RFC3344, I have a question about Home Agent Discovery. 
Imaging we have a topological networt surporting mobile IPv6 and this network has multiple home agents.   As to the mobile node, when it moves to the foreign net, he registered his CoA on its Primary Home Agent.  Later if the home agent(Primary or the other home agents) change its IP address,  the mobile node will discover the Home Agent by Dinamic Home Agent Discovery.  In this Discovery mechanism, the mobile node use the anycast address which belong to all the home agents.  
Now turn to the anycast address definition, in RFC3513 writes:

 The Subnet-Router anycast address is predefined.  Its format is as
   follows:

   |                         n bits                 |   128-n bits   |
   +------------------------------------------------+----------------+
   |                   subnet prefix                | 00000000000000 |
   +------------------------------------------------+----------------+

   The "subnet prefix" in an anycast address is the prefix which
   identifies a specific link.  This anycast address is syntactically
   the same as a unicast address for an interface on the link with the
   interface identifier set to zero.

From the difinition we can see that the anycast address identifies a SPECIFIC link. So if the Home Agent act as a Mobile Home Agent and change his position frequently not only change the IP address from one to the other which still in this SPECIFIC subnet region. Then the mobile node can not use the anycast address to Discovery the Home Agent. That is the problem.

In RFC3344,  I find that Mobile Node and Correspondent Noe all can move from place to place, but not mention the home agents! Dose the Home Agent(s) can be mobile?

Maybe my misunderstanding of anycast address and MIPv6 lead to my naive question:) If I am wrong, please tell me why!

thanks in advance! Any commends appreciated!   :-)

humphrey